%define        majversion          %(echo %version | cut -d. -f 1-2)

Name:          libxml++2
Version:       2.38.1
Release:       1mamba
Summary:       A C++ wrapper for the libxml XML parser library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://libxmlplusplus.sourceforge.net
Source:        http://ftp.gnome.org/pub/GNOME/sources/libxml++/%{majversion}/libxml++-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: mm-common-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libxml++ is a C++ wrapper for the libxml XML parser library.
It has SAX and DOM-like APIs, but does not attempt to conform exactly to the DOM specifications because they are not aimed at C++.
Its API is much simpler than the underlying libxml C API.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libxml2-devel
Requires:      libsigc++2-devel
Requires:      libglibmm-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libxml++ is a C++ wrapper for the libxml XML parser library.
It has SAX and DOM-like APIs, but does not attempt to conform exactly to the DOM specifications because they are not aimed at C++.
Its API is much simpler than the underlying libxml C API.

This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       API documentation for %{name}

%description apidocs
libxml++ is a C++ wrapper for the libxml XML parser library.
It has SAX and DOM-like APIs, but does not attempt to conform exactly to the DOM specifications because they are not aimed at C++.
Its API is much simpler than the underlying libxml C API.

This package contains the API documentation need for development.

%prep
%setup -q -n libxml++-%{version}

%build
%configure --enable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#docdir=%{_defaultdocdir}/%{name}-%{version}/docs

#pushd %{buildroot}%{_defaultdocdir}/%{name}-%{version}
#mv docs/reference/html reference
#mv docs/manual/html manual
#rm -fr docs
#popd

#install -D -m 0644 AUTHORS COPYING ChangeLog NEWS README \
#   %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
#%doc %{_defaultdocdir}/%{name}-%{version}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libxml++-*
%{_includedir}/libxml++-*/*
%{_libdir}/libxml++-*/include/libxml++config.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files apidocs
%defattr(-, root, root)
%doc %{_datadir}/devhelp/books/libxml++-*
%doc %{_docdir}/libxml++-*/reference

%changelog
* Sun May 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.38.1-1mamba
- update to 2.38.1
- legacy package

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 2.37.2-1mamba
- automatic update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 2.37.1-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 2.35.4-1mamba
- automatic version update by autodist

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.34.2-1mamba
- update to 2.34.2

* Mon Oct 25 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.3-1mamba
- automatic update by autodist

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- update to 2.24.2

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.2-1mamba
- automatic update by autodist

* Tue Jun 26 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.18.1-1mamba
- package created by autospec
